<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title>编辑</title>
    <link rel="stylesheet" th:href="@{/lib/layui/css/layui.css}" media="all">
    <link rel="stylesheet" th:href="@{/css/public.css}" media="all">
    <link rel="stylesheet" th:href="@{/lib/font-awesome-4.7.0/css/font-awesome.min.css}" media="all">
    <style>
        body {
            background-color: #ffffff;
        }
    </style>
</head>
<body>
<form class="layui-form" action="" lay-filter="formDemo">
    <div class="layui-form layuimini-form">
        <!--<div class="layui-form-item layui-inline" style="width: 100%">
            <label class="layui-form-label " style="width: 85px">序号</label>
            <div class="layui-input-inline" style="width: 625px">
                <input type="number" id="xh" name="xh" class="layui-input" autocomplete="off">
            </div>
        </div>-->
        <div class="layui-form-item layui-inline" style="width: 100%">
            <label class="layui-form-label required" style="width: 85px">单位</label>
            <div class="layui-input-inline" style="width: 625px">
                <input type="hidden" id="dw" name="dw" class="layui-input">
                <input type="text" id="dwmc" name="dwmc" lay-verify="required" lay-reqtext="单位不能为空" class="layui-input"
                       readonly>
            </div>
        </div>
        <div class="layui-form-item layui-inline" style="width: 100%">
            <label class="layui-form-label required" style="width: 85px">主要研究内容</label>
            <div class="layui-input-inline" style="width: 625px">
                <textarea id="zyyjnr" name="zyyjnr" class="layui-textarea" lay-verify="required"
                          lay-reqtext="主要研究内容不能为空" style="height: 180px"></textarea>
            </div>
        </div>
        <div class="layui-form-item layui-inline" style="width: 100%">
            <label class="layui-form-label required" style="width: 85px">经费(万元)</label>
            <div class="layui-input-inline" style="width: 625px">
                <input type="number" id="jf" name="jf" lay-verify="required" lay-reqtext="经费不能为空" autocomplete="off"
                       class="layui-input">
            </div>
        </div>

        <!-- 右侧悬浮按钮 -->
        <div class="right-bottom-btn">
            <button class="layui-btn" lay-submit lay-filter="saveBtn">
                <i class="layui-icon layui-icon-ok"></i>确定
            </button>
            <button class="layui-btn" lay-filter="cancleBtn">
                <i class="layui-icon layui-icon-close"></i>取消
            </button>
        </div>
    </div>
</form>

<script th:src="@{/lib/jquery-3.4.1/jquery-3.4.1.min.js}" charset="utf-8"></script>
<script th:src="@{/lib/layui/layui.js}" charset="utf-8"></script>
<script th:src="@{/lib/coco-message/coco-message.js}" charset="utf-8"></script>
<script th:src="@{/js/lay-config.js}" charset="utf-8"></script>
<script type="text/javascript" th:inline="javascript">
    AjaxUtil.ctx = /*[[@{/}]]*/'';
    layui.use(['form', 'tableSelect'], function () {
        var form = layui.form;

        var fgCompany = parent.getFgCompany();
        $("#xh").val(fgCompany.xh);
        $("#dwmc").val(fgCompany.dwmc);
        $("#zyyjnr").val(fgCompany.zyyjnr);
        $("#jf").val(fgCompany.jf);

        //监听提交
        form.on('submit(saveBtn)', function (data) {
            if (fgCompany.jf < 0 || fgCompany.jf == 0){
                layer.msg('经费必须大于0',{icon:2},function () {
                    $('#jf').val('');
                })
            }else {
                parent.setFgCompany(data.field);
                parent.setUpdateFlag();
                parent.layer.close(parent.layer.getFrameIndex(window.name));// 关闭子窗口
            }
            return false;
        });

        $(document).ready(function () {
            $('#jf').on('input change',function () {
                const jf = $(this).val();
                if (jf < 0 || jf == 0){
                    layer.msg('经费必须大于0',{icon:2},function () {
                        $('#jf').val('');
                    })
                }
            })
        })
        // 监听取消按钮
        $("button[lay-filter='cancleBtn']").click(function () {
            var iframeIndex = parent.layer.getFrameIndex(window.name);
            parent.layer.close(iframeIndex);
        });
    });
</script>
</body>
</html>